EXTENSION ON CHROME ERROR



  • I ADDED CHROME EXTENSION AND PUT THE DOWNLOADED EXTENSION ON CHROME EXTENSION.

    AFTER PASTING NAME.CRX ON SELINIUM SETTINGS I RAN/START ON STACKER.

    THIS APPEARS ON LOG
    ""Opening browser...
    OpenQA.Selenium.WebDriverException: unknown error: cannot process extension #1
    from unknown error: CRX verification failed: 3
    at OpenQA.Selenium.Remote.RemoteWebDriver.UnpackAndThrowOnError(Response errorResponse)
    at OpenQA.Selenium.Remote.RemoteWebDriver.Execute(String driverCommandToExecute, Dictionary`2 parameters)
    at OpenQA.Selenium.Remote.RemoteWebDriver.StartSession(ICapabilities desiredCapabilities)
    at OpenQA.Selenium.Remote.RemoteWebDriver..ctor(ICommandExecutor commandExecutor, ICapabilities desiredCapabilities)
    at OpenQA.Selenium.Chrome.ChromeDriver..ctor(ChromeDriverService service, ChromeOptions options, TimeSpan commandTimeout)
    at OpenQA.Selenium.Chrome.ChromeDriver..ctor(ChromeDriverService service, ChromeOptions options)
    at RuriLib.SBlockBrowserAction.OpenBrowser(BotData data)
    Executed browser action Open on input ""

    WHEN I REMOVE EXTENSION ITS WORK WELL
    BUT I NEEDED THAT EXTENSION .......



  • I ALSO TRY UPDATED CHROME DRIVER


  • Admin

    Are you sure you exported the crx correctly?
    Also what's the need to write in all caps?



  • sorry for caps

    yes i exported it right



  • i checked version from https://crx-checker.appspot.com/
    it's crx 2


  • Admin

    As you can read on the website:
    CRX2: A deprecated extension format. Support for most cases were removed in Chrome 76. The remaining cases were removed in Chrome 78.

    You need to use a CRX3 version, CRX2 is not supported anymore


  • Admin

    If you can't upgrade it in any way, install a chrome build before 76 and the relative chromedriver.exe


  • Admin

    Also are you sure the website doesn't give this? It would match the error you're getting in OB.
    (Verification Failed!): The signature or body of the extension has been corrupted and the signature does not verify. Chrome and other consumers should refuse to load this CRX.



  • error is same as above
    in ob it doesnt match.
    i will give try in using lower versions of chrome



  • Try using Chrome version less then or equal to 76.
    Also delete the update.exe from installation directory located in a folder update.

    I was facing similar problem but i solved like this.



  • Update.exe?
    Openbullet doesn't have something like that.



  • Having this same issue with the new OB



  • If/when downgrading chrome version make sure to remove the left over files in $USER folder and check I there’s leftovers in APPDATA too. If you wanna be thorough clean the registry entries out as well. Use geek uninstaller and/or ccleaner if you must but still double check the folder in $USER and chromes install location.

    Same goes for the driver


Log in to reply